### Function

# Gio DBusInterfaceGetPropertyFunc

since: 2.26

#### Declaration

    GVariant*
    (* GDBusInterfaceGetPropertyFunc) (
      GDBusConnection* connection,
      const gchar* sender,
      const gchar* object_path,
      const gchar* interface_name,
      const gchar* property_name,
      GError** error,
      gpointer user_data
    )

#### Description [src]

The type of the `get_property` function in `GDBusInterfaceVTable`.

Available since: 2.26

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`sender`

  Type: `const gchar*`

  The unique bus name of the remote caller or `NULL` if not specified by the caller, e.g. on peer-to-peer connections.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The object path that the method was invoked on.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  The D-Bus interface name for the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`property_name`

  Type: `const gchar*`

  The name of the property to get the value of.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError`

  Return location for error.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The `user_data` #gpointer passed to g_dbus_connection_register_object().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GVariant`

A `GVariant` with the value for `property_name` or `NULL` if `error` is set. If the returned `GVariant` is floating, it is consumed - otherwise its reference count is decreased by one.

The caller of the function takes ownership of the data, and is responsible for freeing it.